Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.oci
Class Statement

    java.lang.Object
      |
      +--weblogic.jdbc.oci.Statement

Direct Known Subclasses:
  weblogic.jdbc.oci.PreparedStatement

Deprecated. Copyright (c) 1999 by BEA WebXpress. All Rights Resrved.

public class Statement
extends java.lang.Object
implements java.sql.Statement, Cancelable, FetchSizeSettable, Parseable

This class contains WebLogic extensions to JDBC to support parsing of SQL statements and adjusting of the fetch size. Only the extensions are documented here.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`boolean` | `binded` Deprecated.
`protected boolean` | `closed` Deprecated.
`protected Connection` | `connection` Deprecated.
`protected weblogic.jdbc.oci.ResultSet` | `current_queryresult` Deprecated.
`protected java.util.Hashtable` | `cursorparams` Deprecated.
`protected boolean` | `doExtendedSQL` Deprecated.
`protected int` | `fetchsize` Deprecated.
`protected java.lang.String` | `jdk_codeset` Deprecated.
`protected int` | `maxfieldsize` Deprecated.
`protected int` | `maxrows` Deprecated.
`protected weblogic.db.oci.OciConnection` | `ociconn` Deprecated.
`weblogic.db.oci.OciCursor` | `ocicursor` Deprecated.
`protected int` | `updatecnt` Deprecated.
`protected java.sql.SQLWarning` | `warnings` Deprecated.

Method Summary
`void` | `addBatch(java.lang.String sql)` Deprecated.
`protected void` | `addWarning(java.sql.SQLWarning newwarn)` Deprecated.
`void` | `cancel()` Deprecated.
`protected void` | `checkIfArgNull(java.lang.String arg)` Deprecated.
`protected void` | `checkIfClosed()` Deprecated.
`void` | `clearBatch()` Deprecated.
`void` | `clearWarnings()` Deprecated.
`void` | `close_cursor(boolean clearit)` Deprecated.
`void` | `close()` Deprecated.
`boolean` | `execute(java.lang.String sql)` Deprecated.
`boolean` | `execute(java.lang.String a, int b)` Deprecated.
`boolean` | `execute(java.lang.String a, int[] b)` Deprecated.
`boolean` | `execute(java.lang.String a, java.lang.String[] b)` Deprecated.
`int[]` | `executeBatch()` Deprecated.
`java.sql.ResultSet` | `executeQuery(java.lang.String sql)` Deprecated.
`int` | `executeUpdate(java.lang.String sql)` Deprecated.
`int` | `executeUpdate(java.lang.String a, int b)` Deprecated.
`int` | `executeUpdate(java.lang.String a, int[] b)` Deprecated.
`int` | `executeUpdate(java.lang.String a, java.lang.String[] b)` Deprecated.
`int` | `fetchSize()` Deprecated.
`void` | `fetchSize(int size)` Deprecated. Allows tuning of the size of prefetch array used for Oracle row results.
`void` | `finalize()` Deprecated.
`java.sql.Connection` | `getConnection()` Deprecated.
`int` | `getFetchDirection()` Deprecated.
`int` | `getFetchSize()` Deprecated.
`java.sql.ResultSet` | `getGeneratedKeys()` Deprecated.
`int` | `getMaxFieldSize()` Deprecated.
`int` | `getMaxRows()` Deprecated.
`boolean` | `getMoreResults()` Deprecated.
`boolean` | `getMoreResults(int a)` Deprecated.
`java.sql.ParameterMetaData` | `getParameterMetaData()` Deprecated.
`int` | `getQueryTimeout()` Deprecated.
`java.sql.ResultSet` | `getResultSet()` Deprecated.
`int` | `getResultSetConcurrency()` Deprecated.
`int` | `getResultSetHoldability()` Deprecated.
`int` | `getResultSetType()` Deprecated.
`int` | `getUpdateCount()` Deprecated.
`java.sql.SQLWarning` | `getWarnings()` Deprecated.
`int` | `parse(java.lang.String sql)` Deprecated.
`void` | `setCursorName(java.lang.String name)` Deprecated.
`void` | `setEscapeProcessing(boolean enable)` Deprecated.
`void` | `setFetchDirection(int direction)` Deprecated.
`void` | `setFetchSize(int rows)` Deprecated.
`void` | `setMaxFieldSize(int max)` Deprecated.
`void` | `setMaxRows(int max)` Deprecated.
`void` | `setNull(int parameterIndex, int sqlType)` Deprecated.
`void` | `setQueryTimeout(int seconds)` Deprecated.
`void` | `setURL(int a, java.net.URL b)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connection

    protected final Connection connection

  Deprecated.

### ociconn

    protected final weblogic.db.oci.OciConnection ociconn

  Deprecated.

### jdk_codeset

    protected final java.lang.String jdk_codeset

  Deprecated.

### ocicursor

    public weblogic.db.oci.OciCursor ocicursor

  Deprecated.

### closed

    protected boolean closed

  Deprecated.

### updatecnt

    protected int updatecnt

  Deprecated.

### maxrows

    protected int maxrows

  Deprecated.

### maxfieldsize

    protected int maxfieldsize

  Deprecated.

### warnings

    protected java.sql.SQLWarning warnings

  Deprecated.

### doExtendedSQL

    protected boolean doExtendedSQL

  Deprecated.

### cursorparams

    protected java.util.Hashtable cursorparams

  Deprecated.

### current_queryresult

    protected weblogic.jdbc.oci.ResultSet current_queryresult

  Deprecated.

### fetchsize

    protected int fetchsize

  Deprecated.

### binded

    public boolean binded

  Deprecated.

Method Detail

### fetchSize

    public int fetchSize()

  Deprecated.

### fetchSize

    public void fetchSize(int size)

  Deprecated.
  Allows tuning of the size of prefetch array used for Oracle row results. Oracle provides the means to do data prefetch in batches, which decreases network traffic and latency for row requests.

  The default batch size is 100. Memory for 100 rows is allocated in the native stack for every query. For queries that need fewer rows, this size can be adjusted appropriately. This saves on the swappable image size of the application and will benefit performance if only as many rows as needed are fetched.

  Specified by:
    fetchSize in interface FetchSizeSettable

  Parameters:
    `size` - Number of rows for prefetch

### checkIfClosed

    protected void checkIfClosed()
                          throws java.sql.SQLException

  Deprecated.

### checkIfArgNull

    protected void checkIfArgNull(java.lang.String arg)
                           throws java.sql.SQLException

  Deprecated.

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String sql)
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    executeQuery in interface java.sql.Statement

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    executeUpdate in interface java.sql.Statement

### finalize

    public void finalize()

  Deprecated.

  Overrides:
    finalize in class java.lang.Object

### close

    public void close()
               throws java.sql.SQLException

  Deprecated.
  Specified by:
    close in interface java.sql.Statement

### close_cursor

    public void close_cursor(boolean clearit)

  Deprecated.

### cancel

    public void cancel()
                throws java.sql.SQLException

  Deprecated.
  Specified by:
    cancel in interface java.sql.Statement

### setCursorName

    public void setCursorName(java.lang.String name)
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    setCursorName in interface java.sql.Statement

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    getMaxFieldSize in interface java.sql.Statement

### setMaxFieldSize

    public void setMaxFieldSize(int max)
                         throws java.sql.SQLException

  Deprecated.
  Specified by:
    setMaxFieldSize in interface java.sql.Statement

### getMaxRows

    public int getMaxRows()
                   throws java.sql.SQLException

  Deprecated.
  Specified by:
    getMaxRows in interface java.sql.Statement

### setMaxRows

    public void setMaxRows(int max)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    setMaxRows in interface java.sql.Statement

### getQueryTimeout

    public int getQueryTimeout()
                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    getQueryTimeout in interface java.sql.Statement

### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws java.sql.SQLException

  Deprecated.
  Specified by:
    setQueryTimeout in interface java.sql.Statement

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getWarnings in interface java.sql.Statement

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    clearWarnings in interface java.sql.Statement

### addWarning

    protected void addWarning(java.sql.SQLWarning newwarn)

  Deprecated.

### execute

    public boolean execute(java.lang.String sql)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    execute in interface java.sql.Statement

### parse

    public int parse(java.lang.String sql)
              throws java.sql.SQLException

  Deprecated.
  Specified by:
    parse in interface Parseable

### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getResultSet in interface java.sql.Statement

### getUpdateCount

    public int getUpdateCount()
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    getUpdateCount in interface java.sql.Statement

### getMoreResults

    public boolean getMoreResults()
                           throws java.sql.SQLException

  Deprecated.
  Specified by:
    getMoreResults in interface java.sql.Statement

### setEscapeProcessing

    public void setEscapeProcessing(boolean enable)
                             throws java.sql.SQLException

  Deprecated.
  Specified by:
    setEscapeProcessing in interface java.sql.Statement

### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    executeBatch in interface java.sql.Statement

### clearBatch

    public void clearBatch()

  Deprecated.
  Specified by:
    clearBatch in interface java.sql.Statement

### setNull

    public void setNull(int parameterIndex,
                        int sqlType)
                 throws java.sql.SQLException

  Deprecated.

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Deprecated.
  Specified by:
    setFetchDirection in interface java.sql.Statement

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getFetchDirection in interface java.sql.Statement

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    setFetchSize in interface java.sql.Statement

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Deprecated.
  Specified by:
    getFetchSize in interface java.sql.Statement

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    getResultSetConcurrency in interface java.sql.Statement

### getResultSetType

    public int getResultSetType()
                         throws java.sql.SQLException

  Deprecated.
  Specified by:
    getResultSetType in interface java.sql.Statement

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    getConnection in interface java.sql.Statement

### addBatch

    public void addBatch(java.lang.String sql)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    addBatch in interface java.sql.Statement

### getGeneratedKeys

    public java.sql.ResultSet getGeneratedKeys()
                                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    getGeneratedKeys in interface java.sql.Statement

### getMoreResults

    public boolean getMoreResults(int a)
                           throws java.sql.SQLException

  Deprecated.
  Specified by:
    getMoreResults in interface java.sql.Statement

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    getResultSetHoldability in interface java.sql.Statement

### getParameterMetaData

    public java.sql.ParameterMetaData getParameterMetaData()
                                                    throws java.sql.SQLException

  Deprecated.

### setURL

    public void setURL(int a,
                       java.net.URL b)
                throws java.sql.SQLException

  Deprecated.

### execute

    public boolean execute(java.lang.String a,
                           int b)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    execute in interface java.sql.Statement

### execute

    public boolean execute(java.lang.String a,
                           int[] b)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    execute in interface java.sql.Statement

### execute

    public boolean execute(java.lang.String a,
                           java.lang.String[] b)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    execute in interface java.sql.Statement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int b)
                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    executeUpdate in interface java.sql.Statement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int[] b)
                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    executeUpdate in interface java.sql.Statement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             java.lang.String[] b)
                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    executeUpdate in interface java.sql.Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD